#!/usr/bin/python
import RPi.GPIO as GPIO
import sys,time,signal

LED_PIN=18

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
GPIO.setup(LED_PIN,GPIO.OUT)

def signal_handler(signal,frame):
    GPIO.output(LED_PIN,GPIO.LOW)
    print("exiting with LED switched off")
    sys.exit(0)
while True:
#    print "LED on"
    signal.signal(signal.SIGINT,signal_handler)
    GPIO.output(LED_PIN,GPIO.LOW)
    time.sleep(0.5)
#    print "LED off"
    GPIO.output(LED_PIN,GPIO.HIGH)
    time.sleep(0.5)
