#!/usr/bin/python3.5

import RPi.GPIO as GPIO
import sys,time,signal


LONG=0.5
SHORT=0.2
LED_PIN=18

GPIO.setmode(GPIO.BCM)
GPIO.setwarnings(False)
GPIO.setup(LED_PIN,GPIO.OUT)

def signal_handler(signal,frame):
    GPIO.output(LED_PIN,GPIO.LOW)
    print("exiting with LED switched off")
    sys.exit(0)

def pulse(length):
    GPIO.output(LED_PIN,GPIO.HIGH)
    time.sleep(length)
    GPIO.output(LED_PIN,GPIO.LOW)
    time.sleep(length)

while True:
#   3 short pulses
    signal.signal(signal.SIGINT,signal_handler)
    for index in range(0,3):
        pulse(SHORT)
    for index in range(0,3):
        pulse(LONG)   
    for index in range(0,3):
        pulse(SHORT)
