#!/usr/bin/python3.5
#
# The LED blink program re-written in Python-3 for the pigpio library
#
# Uli Raich, UCC, Nov. 2017

import sys,pigpio,time,signal

ON  = 1
OFF = 0
pi=pigpio.pi()      #access the local pi

def signal_handler(signal,frame):
    pi.write(17,OFF)
    print("exiting with LED switched off")
    sys.exit(0)

while True:
    signal.signal(signal.SIGINT,signal_handler)
    pi.set_mode(17,pigpio.OUTPUT)
    pi.write(17,ON)
    time.sleep(0.5)
    pi.write(17,OFF)
    time.sleep(0.5)
